import sys
import glob
import subprocess

if len(sys.argv) != 3:
    print "Usage: " + sys.argv[0] + " num_cores output.csv"
    sys.exit()
num_cores = int(sys.argv[1])

files = glob.glob("*.obj") + glob.glob("*.off")

num_files = len(files)
i = 0
jobs = []
results = []

while i < num_files:
    while len(jobs) < num_cores and i < num_files:
        jobs.append([files[i], subprocess.Popen(["measure_backfacingness", files[i]], stdout=subprocess.PIPE)])
        i += 1
    while 1:
        for job in jobs:
            [file, process] = job
            if process.poll() != None:
                result = process.stdout.read()
                print file + ", " + result
                results.append([file, result])
                jobs.remove(job)
        if len(jobs) < num_cores: break

results.sort()

f = open(sys.argv[2], "w")
for result in results:
    f.write(result[0] + ", " + result[1] + "\n")
f.close()
