import sys
import os
import glob

num_args = len(sys.argv)
if num_args < 2:
    print "Usage: " + sys.argv[0] + " [option(s)] output_directory"
    print "Options:"
    print "\t-t=<int> \t Total number of rays (default:10000)"
    print "\t-m=<int> \t Minimum number of rays for each patch (default:100)"
    print "\t-u \t\t Unify all duplicate facets into a unique one"
    print "\t-f \t\t Reorient face-wise (no manifold patches constructed)"
    print "\t-p \t\t Use parity mode"
    print "\t-z \t\t Skip writing output if no faces are flipped"
    print "\t-c \t\t Write as triangle soup with per-vertex color representing patch ID (only for *.obj)"
    print "\t-v \t\t Verbose messages in stdout"
    sys.exit()

print "cwd=" + os.getcwd()
options = ""
forced_obj = ""
for i in range(0, num_args - 2):
    if sys.argv[i + 1] == "-c": forced_obj = ".obj"
    options += sys.argv[i + 1] + " "

files = glob.glob("*.obj") + glob.glob("*.off")

output_directory = sys.argv[num_args - 1]
if not os.path.exists(output_directory):
    os.mkdir(output_directory)

for file in files:
    cmd = "reorient_facets " + options + file + " " + output_directory + "/" + file + forced_obj
    print cmd
    os.system(cmd)
